# Push notification tests

## Running

`nix run`

## Development

`nix develop`

## Capabilities

Push notifications have:
  - title
    - header for the notification
  - body
    - text in the notification box
  - icon
    - 192x192 image, supports transparency
  - url
    - link when the notification is clicked

Mechanics we can get out of push notifications:
  - Time when notification is sent
  - Time when notification is displayed
    - Through crafted icon link, doesn't work on macos/ios right now?
  - Time when notification is clicked
    - Through crafted url in notification


Potential untested mechanics:
  - requireInteraction
    - notification remains active until clicked or dismissed
  - badge
    - 96x96 image for devices when there isn't enough space to display the notification
  - vibrate
    - vibration pattern to emit with the notification

## Screenshots

![Linux chrome and firefox notifications screenshot ](/docs/linux-notifications.png)
![Android chrome notifications screenshot ](/docs/android_chrome.png)

